From 603c29ea616184339af9578897e418f26465bb19 Mon Sep 17 00:00:00 2001
From: "Paul W. Rankin" <pwr@bydasein.com>
Date: Tue, 24 May 2022 18:19:57 -0400
Subject: [PATCH] Change variable which-func-unknown to "n/a"

* lisp/progmodes/which-func.el (which-func-unknown): Change string
displayed in mode-line from "???" to "n/a"; the former appears to
indicate an error whereas the latter is more indicative that the
current function is not known.
---
 lisp/progmodes/which-func.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/progmodes/which-func.el b/lisp/progmodes/which-func.el
index abe25f2c63..3c8d4f43db 100644
--- a/lisp/progmodes/which-func.el
+++ b/lisp/progmodes/which-func.el
@@ -64,7 +64,7 @@
 ;; Variables for customization
 ;; ---------------------------
 ;;
-(defvar which-func-unknown "???"
+(defvar which-func-unknown "n/a"
   "String to display in the mode line when current function is unknown.")
 
 (defgroup which-func nil
-- 
2.36.1

